Bug 407375 - Krita silently crashed when trying to create any selection
Summary: Krita silently crashed when trying to create any selection
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: Tools/Selection (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-10 02:55 UTC by Tyson Tan
Modified: 2019-05-21 07:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tyson Tan 2019-05-10 02:55:25 UTC
Krita silently crashed when I was trying to create any selection.
Happens with krita-4.2.0-alpha-c000999-x86_64.appimage
But not with krita-4.2.0-alpha-2e8bd70-x86_64.appimage	

So it's gotta be something in this build:
https://binary-factory.kde.org/job/Krita_Nightly_Appimage_Build/474/changes

Was is caused by this commit?
https://binary-factory.kde.org/job/Krita_Nightly_Appimage_Build/474/changes#a9b68dbb910e2053a3329e6839b6dc8e0bf1e62e
Comment 1 Halla Rempt 2019-05-10 05:58:41 UTC
I know, I already reverted the broken commit.
Comment 2 Tyson Tan 2019-05-18 07:56:49 UTC
It happened again with krita-4.2.0-beta-4cb9902-x86_64.appimage
Comment 3 Halla Rempt 2019-05-18 08:50:31 UTC
Yes... And I've already asked dmitry to fix his broken commit 756991435ecdf2c1af8aabb137beec4cd39ba277
Comment 4 Halla Rempt 2019-05-18 08:52:19 UTC
Git commit d2a01862bee1e67a531c8fe7042ce4a9b6a3e8d4 by Boudewijn Rempt.
Committed on 18/05/2019 at 08:51.
Pushed by rempt into branch 'master'.

Revert "Add a workaround for reinitializing rotation/mirroring options after reloading the preset"

This reverts commit 756991435ecdf2c1af8aabb137beec4cd39ba277.

Revert this for now so the builds made during the weekend are not
so very broken.
Related: bug 407665

M  +0    -15   libs/ui/kis_paintop_box.cc

https://invent.kde.org/kde/krita/commit/d2a01862bee1e67a531c8fe7042ce4a9b6a3e8d4
Comment 5 Halla Rempt 2019-05-19 15:39:30 UTC
Git commit fef5185cb436f3499659e444dc959eec765c800e by Boudewijn Rempt.
Committed on 18/05/2019 at 12:36.
Pushed by rempt into branch 'master'.

Revert "Recover forbidding rule for adding masks to the root layer"

This reverts commit ad3649935d0a2a7c9b6e4f6fecc421c69e53c3ca.

    Revert this for now so the builds made during the weekend are not
    so very broken.
Related: bug 407665

M  +0    -8    libs/image/kis_group_layer.cc
M  +0    -12   libs/image/kis_image.cc
M  +0    -12   libs/image/kis_image.h
M  +0    -1    libs/ui/kis_mimedata.cpp

https://invent.kde.org/kde/krita/commit/fef5185cb436f3499659e444dc959eec765c800e
Comment 6 Dmitry Kazakov 2019-05-20 12:33:53 UTC
Git commit ad31625eae8f9701e5de65b11d79065139ce3741 by Dmitry Kazakov.
Committed on 20/05/2019 at 12:33.
Pushed by dkazakov into branch 'master'.

One more try to fix restriction for adding masks to the root layer

We should not allow adding a mask to normal root layers. It makes
painters confused. But for clipboard contents is it perfectly okay,
so just add an option for it.

It the previous version the check for the presence of a global
selection mask was incorrect.
Related: bug 397796, bug 407665

BACKPORT:krita/4.2

M  +15   -3    libs/image/kis_group_layer.cc
M  +12   -0    libs/image/kis_image.cc
M  +12   -0    libs/image/kis_image.h
M  +1    -0    libs/ui/kis_mimedata.cpp
M  +5    -2    libs/ui/tool/kis_selection_tool_helper.cpp

https://invent.kde.org/kde/krita/commit/ad31625eae8f9701e5de65b11d79065139ce3741
Comment 7 Tyson Tan 2019-05-21 07:18:51 UTC
Thank you Boud and Dmitry!
Is it just me or Show Global Selection Mask is enabled by default after this commit?
Comment 8 Halla Rempt 2019-05-21 07:23:29 UTC
Git commit 1b932bd47ad00202e9d22c37396582c34bd2b4de by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 21/05/2019 at 07:23.
Pushed by rempt into branch 'krita/4.2'.

One more try to fix restriction for adding masks to the root layer

We should not allow adding a mask to normal root layers. It makes
painters confused. But for clipboard contents is it perfectly okay,
so just add an option for it.

It the previous version the check for the presence of a global
selection mask was incorrect.
Related: bug 397796, bug 407665

BACKPORT:krita/4.2

M  +15   -3    libs/image/kis_group_layer.cc
M  +12   -0    libs/image/kis_image.cc
M  +12   -0    libs/image/kis_image.h
M  +1    -0    libs/ui/kis_mimedata.cpp
M  +5    -2    libs/ui/tool/kis_selection_tool_helper.cpp

https://invent.kde.org/kde/krita/commit/1b932bd47ad00202e9d22c37396582c34bd2b4de
Comment 9 Halla Rempt 2019-05-21 07:23:29 UTC
Git commit 421cf05f37c1a1e74173e35d5f405c3f2c09faf1 by Boudewijn Rempt.
Committed on 21/05/2019 at 07:23.
Pushed by rempt into branch 'krita/4.2'.

Revert "Recover forbidding rule for adding masks to the root layer"

This reverts commit ad3649935d0a2a7c9b6e4f6fecc421c69e53c3ca.

    Revert this for now so the builds made during the weekend are not
    so very broken.
Related: bug 407665

M  +0    -8    libs/image/kis_group_layer.cc
M  +0    -12   libs/image/kis_image.cc
M  +0    -12   libs/image/kis_image.h
M  +0    -1    libs/ui/kis_mimedata.cpp

https://invent.kde.org/kde/krita/commit/421cf05f37c1a1e74173e35d5f405c3f2c09faf1